<?php


namespace Shop\Infrastructure\Repositories\SmsLog;


use Diamond\Repositories\PropelAbstractRepository;
use Propel\Runtime\ActiveQuery\ModelCriteria;
use Repo\CollectionInterface;
use Repo\CrudRepositoryBuilderInterface;
use Repo\EntityInterface;
use Repo\PaginationInterface;
use Shop\Domain\SmsLog\SmsLogCollection;
use Shop\Infrastructure\Models\SmsLog\SmsLog;
use Shop\Infrastructure\Models\SmsLog\SmsLogQuery;

class SmsLogRepository extends PropelAbstractRepository implements CrudRepositoryBuilderInterface
{
    /**
     * @return EntityInterface
     */
    public static function createEntity(): EntityInterface
    {
        return new SmsLog();
    }

    /**
     * @return ModelCriteria
     */
    protected function createQuery(): ModelCriteria
    {
        return SmsLogQuery::create();
    }

    /**
     * @param PaginationInterface $criteria
     * @param ModelCriteria $dbCriteria
     */
    protected function modifyCriteria(PaginationInterface $criteria, ModelCriteria $dbCriteria): void
    {
        
    }
    

    protected function createCollection(): CollectionInterface
    {
        return new SmsLogCollection();
    }
}